de.caff.gimmicks.swing

## Class RotatedLabelUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.LabelUI
    - - javax.swing.plaf.basic.BasicLabelUI
      - - de.caff.gimmicks.swing.RotatedLabelUI

- All Implemented Interfaces:
    java.beans.PropertyChangeListener, java.util.EventListener

      public class RotatedLabelUI
      extends javax.swing.plaf.basic.BasicLabelUI

  UI for painting labels rotated at 90°.
  Since:
    April.28, 2016
  Author:
    Rammi

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicLabelUI

      `labelUI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RotatedLabelUI(boolean counterClockWise)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBaseline(javax.swing.JComponent c, int width, int height)`
    `java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
    `java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
    `java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
    `void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicLabelUI

      `createUI, getBaselineResizeBehavior, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, layoutCL, paintDisabledText, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RotatedLabelUI

          public RotatedLabelUI(boolean counterClockWise)

      Constructor.
      Parameters:
        `counterClockWise` - `true`: rotate 90° CCW,
        `false`: rotate 90° CW

  - ### Method Detail

    - #### getBaseline

          public int getBaseline(javax.swing.JComponent c,
                                 int width,
                                 int height)

      Overrides:
        `getBaseline` in class `javax.swing.plaf.basic.BasicLabelUI`

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

      Overrides:
        `getPreferredSize` in class `javax.swing.plaf.basic.BasicLabelUI`

    - #### getMinimumSize

          public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

      Overrides:
        `getMinimumSize` in class `javax.swing.plaf.basic.BasicLabelUI`

    - #### getMaximumSize

          public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

      Overrides:
        `getMaximumSize` in class `javax.swing.plaf.basic.BasicLabelUI`

    - #### paint

          public void paint(java.awt.Graphics g,
                            javax.swing.JComponent c)

      Overrides:
        `paint` in class `javax.swing.plaf.basic.BasicLabelUI`